import React from "react";
import { DispatchProp } from "react-redux";
import { Exception } from "../Exception";
interface OwnProps {
    render: (exception: Exception) => React.ReactNode;
    children: React.ReactNode;
}
interface Props extends OwnProps, DispatchProp {
}
interface State {
    exception: Exception | null;
}
declare class ErrorBoundary extends React.PureComponent<Props, State> {
    static displayName: string;
    static defaultProps: Pick<Props, "render">;
    constructor(props: Props);
    componentDidCatch(error: Error, errorInfo: React.ErrorInfo): void;
    render(): {} | null | undefined;
}
declare const _default: import("react-redux").ConnectedComponent<typeof ErrorBoundary, Pick<Props, "children" | "render">>;
export default _default;
